package com.zsc.edu.dify.modules.dify.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import com.zsc.edu.dify.framework.json.JsonbTypeHandler;
import com.zsc.edu.dify.modules.system.vo.MenuVo;
import io.github.guoshiqiufeng.dify.server.dto.response.AppsResponseVO;
import lombok.*;

import java.util.List;
import java.util.Map;

/**
 * @author zhuang
 *
 *
 */
@EqualsAndHashCode(callSuper = true)
@Getter
@Setter
@Data
@TableName("apps_entity")
public class AppEntity extends AppsResponseVO {

    @TableField(typeHandler = JsonbTypeHandler.class)
    private Map<String, Object> modelConfig;

    @TableField(typeHandler = JsonbTypeHandler.class)
    private Map<String, Object> workflow;

    @TableField(typeHandler = JsonbTypeHandler.class)
    private List<String> tags;

    @TableField(typeHandler = JsonbTypeHandler.class)
    private Map<String, Object> site;

    @TableField(typeHandler = JsonbTypeHandler.class)
    private List<String> deletedTools;

    private boolean enabled;

    private String apiKey;
    /**
     * 子菜单
     */
    @TableField(exist = false)
    private List<AppEntity> children = null;

}
